{*seznamKategorie*}
{* filtrace *}
<section class="row border-bottom mb-0 py-2">
    <div class="col-12 col-xl-9 mb-lg-2 mb-xl-0">
        <div class="w-100 d-md-flex justify-content-between align-items-center mb-3 mb-lg-0">
            <div class="input-group mb-2 mb-md-0 me-2">
                <span class="input-group-text"><i class="fas fa-pen"></i></span>
                <input type="text" id="kat-kategorie-filter-nazev" class="form-control" placeholder="Název">
            </div>
            <div class="input-group mb-2 mb-md-0 me-2">
                <span class="input-group-text"><i class="fas fa-eye"></i></span>
                <select type="text" id="kat-kategorie-filter-aktivni" class="form-select">
                    <option value="">Vyberte možnost</option>
                    <option value="1">Aktivní</option>
                    <option value="0">Deaktivována</option>
                </select>
            </div>
            <button class="btn btn-outline-success me-2" onclick="selectKatKategorieFilter()">Filtrovat</button>
            <button class="btn btn-outline-secondary" onclick="selectKatKategorieFilterOff()">Reset</button>
        </div>
    </div>
    <div class="col-12 col-xl-3 d-flex justify-content-end">
        {control novaKategorie}
    </div>
</section>
{*seznam*}
{snippet list}
    {*====== PAGINATOR ========*}
    {if (!empty($data))}
        {control paginator}
    {/if}
    {*====== TABLE ========*}
    <section>
        <div class="table-responsive">
            <table class="table table-striped table-responsive">
                <thead>
                <tr>
                    <th scope="col">#</th>
                    <th scope="col">Název</th>
                    <th scope="col"></th>
                    <th scope="col" class="text-center">Aktivní</th>
                    <th scope="col"></th>
                </tr>
                </thead>
                <tbody>
                {if (!empty($data))}
                    {foreach $data as $one}
                        <tr>
                            <td>{$one->id}</td>
                            <th scope="col">{$one->nazev}</th>
                            <td>
                                {if $one->sort != 1}
                                    <a n:href="sortUp! $one->id" class="ajax btn btn-outline-primary me-3">
                                        <i class="fa-solid fa-angle-up"></i>
                                    </a>
                                {/if}
                                        {if $one->sort != $count}
                                    <a n:href="sortDown! $one->id" class="ajax btn btn-outline-primary me-3">
                                        <i class="fa-solid fa-angle-down"></i>
                                    </a>
                                {/if}
                            </td>
                            <td class="text-center">
                                {switch $one->active}
                                    {case 1}
                                    <a class="ajax" n:href="changeActive! $one->id, $filter, $page">
                                        <i class="fas fa-eye text-success"></i>
                                    </a>
                                {case 0}
                                    <a class="ajax" n:href="changeActive! $one->id, $filter, $page">
                                        <i class="fas fa-eye-slash text-danger"></i>
                                    </a>
                                {default}
                                    <i class="fas fa-question"></i> {$one->active}
                                {/switch}
                            </td>
                            <td>
                                <div class="d-flex justify-content-end gap-3">
                                    <a href="{plink :Admin:Katalog:Kategorie:Editace:default $one->id}" class="text-primary">
                                        <i class="fa-solid fa-edit me-2"></i>Editovat
                                    </a>
                                </div>
                            </td>
                        </tr>
                    {/foreach}
                {else}
                    <tr>
                        <td colspan="5" class="text-center">
                            Žádná data k zobrazení
                        </td>
                    </tr>
                {/if}
                </tbody>
            </table>
        </div>
    </section>
{/snippet}
<script>
    function selectKatKategorieFilter()
    {
        let nazev = $('#kat-kategorie-filter-nazev').val();
        let aktivni = $('#kat-kategorie-filter-aktivni').val();

        let data = [];

        if(nazev != '')
        {
            data['nazev'] = nazev;
        }
        if(aktivni != '')
        {
            data['aktivni'] = aktivni;
        }

        naja.makeRequest('GET', {link filter!} , { {$control->getParameterId('filter')} : data });
    }

    function selectKatKategorieFilterOff()
    {
        let data = [];

        $('#kat-kategorie-filter-nazev').val('');
        $('#kat-kategorie-filter-aktivni').val('');

        naja.makeRequest('GET', {link filter!} , { {$control->getParameterId('filter')} : data });
    }
</script>